<meta charset="utf-8">
<link href="../../css/templatemo_style.css" rel="stylesheet" type="text/css" />
<?php
session_start();
if (isset($_GET['s'])) {
    $s = $_GET['s'];
    $_SESSION['GROUPOFUSE'] = $s;
}


if ($_SESSION['GROUPOFUSE'] == 1) {
    $pagetitle = "1oυ Γραφείου!!!";
    include('../../divs/header.php');
} else {
    require_once('../../login/login_functions.inc.php');
    $url = absolute_url('../../login/login.php');
    header("Location: $url");
    exit();
}
?>


<!--  MENU  -->

<div id="templatemo_menu_wrapper">

    <?php
    if (isset($_GET['s'])) {
        echo'
    <div id="templatemo_menu">
        <ul>
            <li><a href="1oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a>
</a>
             <ul><li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
             </ul>            
</li>
            <li><a><span></span>Πρωτοκόλληση</a>
<ul>
<li><a href="eiserhomena.php" target="_parent" ><span></span>Δείτε τα εισερχόμενα</a></li>
 <li><a href="exerhomena.php" target="_parent"><span></span>Δείτε τα εξερχόμενα</a></li>
 <li><a href="preis.php" target="_parent"><span></span>Πρωτοκολληση νέου εισερχομένου εγγράφου</a></li>
  <li><a href="prex.php" target="_parent"><span></span>Πρωτοκολληση νέου εξερχομένου εγγράφου</a></li>
                </ul>              
</li>
            <li><a><span></span>Προσωπικό</a>
 <ul>
<li><a href="atomeg.php" target="_parent" ><span></span>Ατομικά Έγγραφα Στελεχών</a></li>
 <li><a href="editatom.php" target="_parent"><span></span>Επεξεργασία Ατομικών Εγγράφων</a></li>
 <li><a href="addatom.php" target="_parent"><span></span>Δημιουργία νέων ατομικών Εγγράφων</a></li>
                </ul>                              
</li>
            <li><a><span></span>Παραγωγή Εγγράφων</a>
 <ul>
 <li><a href="fporeias.php" target="_parent" ><span></span>Έκδοση Φύλλου Πορείας</a></li>
 <li><a href="fadeias.php" target="_parent"><span></span>Έκδοση Φύλλου Αδείας</a></li>
 <li><a href="apolyt.php" target="_parent"><span></span>Έκδοση Απολυτηρίου</a></li>
                </ul>                              
</li>
 <li><a href="../dkths/dkths.php?s=6"><span></span>Επιστροφή στη Σελίδα Διοικητή </a></li>
            <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    } else {
        echo'
    <div id="templatemo_menu">
        <ul>
            <li><a href="1oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a>
</a>
             <ul><li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
             </ul>            
</li>
            <li><a><span></span>Πρωτοκόλληση</a>
<ul>
<li><a href="eiserhomena.php" target="_parent" ><span></span>Δείτε τα εισερχόμενα</a></li>
 <li><a href="exerhomena.php" target="_parent"><span></span>Δείτε τα εξερχόμενα</a></li>
 <li><a href="preis.php" target="_parent"><span></span>Πρωτοκολληση νέου εισερχομένου εγγράφου</a></li>
  <li><a href="prex.php" target="_parent"><span></span>Πρωτοκολληση νέου εξερχομένου εγγράφου</a></li>
                </ul>              
</li>
            <li><a><span></span>Προσωπικό</a>
 <ul>
<li><a href="atomeg.php" target="_parent" ><span></span>Ατομικά Έγγραφα Στελεχών</a></li>
 <li><a href="editatom.php" target="_parent"><span></span>Επεξεργασία Ατομικών Εγγράφων</a></li>
 <li><a href="addatom.php" target="_parent"><span></span>Δημιουργία νέων ατομικών Εγγράφων</a></li>
                </ul>                              
</li>
            <li><a><span></span>Παραγωγή Εγγράφων</a>
 <ul>
 <li><a href="fporeias.php" target="_parent" ><span></span>Έκδοση Φύλλου Πορείας</a></li>
 <li><a href="fadeias.php" target="_parent"><span></span>Έκδοση Φύλλου Αδείας</a></li>
 <li><a href="apolyt.php" target="_parent"><span></span>Έκδοση Απολυτηρίου</a></li>
                </ul>                              
</li>
             <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    }
    ?>


</div> <!-- end of templatemo_menu -->

<div id="templatemo_main"> <span class="tm_bottom"></span>


    <div id="buttons">    
        <style>     
            #templatemo_main p{
                text-align:center;
            }
            #templatemo_main h1{
                text-align:center;
                color:#FC0;
            }
            #templatemo_main h2{
                text-align:center;
                color:#990;
            }
        </style>
        <h1> Προσθήκη Αδειών</h1>
        <?php
        require_once('../../mysqli_connect.php');

        if (isset($_POST['submitted3'])) {

            $id = $_POST['submitted3'];

            $errors = array();

            if (empty($_POST['adeia'])) {
                $errors[] = 'Δεν εισάγατε άδεια';
            } else {
                $a = $_POST['adeia'];
            }


            if (empty($_POST['diarkeia'])) {
                $errors[] = 'Δεν εισάγατε διάρκεια αδείας';
            } else {
                $d = mysqli_real_escape_string($dbc, trim($_POST['diarkeia']));
            }

            if (empty($_POST['date'])) {
                $errors[] = 'Δεν εισάγατε ημερομηνία αδείας';
            } else {
                $da = mysqli_real_escape_string($dbc, ($_POST['date']));
            }

          
            if (empty($errors)) {

                $q = " Insert into adeies values ('',$id,'$a','$da',$d) ";
                $r = @mysqli_query($dbc, $q);
                if (mysqli_affected_rows($dbc) == 1) {
                    echo '<p><h1>Η άδεια καταχωρήθηκε επιτυχώς</h1></p></br>
                              <p><a href=editatom.php><h2>Επιστροφή στην Επεξεργασία Ατομικών Εγγράφων</h2></α>';
                } else { // If it did not run OK.
                    echo '<p class="error">Πρόβλημα του συστήματος .Προσπαθείστε ξανά</p>'; // Public message.
                    //               echo '<p>' . mysqli_error($dbc) . '<br />Query: ' . $q . '</p>'; // Debugging message.
                }
            } else {

                echo '<p class="error">Συνέβησαν τα ακόλουθα λάθη <br />';
                foreach ($errors as $msg) { // Print each error.
                    echo " - $msg<br />\n";
                }
                echo '</p><p>Προσπαθείστε ξανά.</p>';


                

                    $id = $_POST['submitted3'];

                    echo'<form action="addadeies.php" method="post">';
                    echo '<p> Είδος Αδείας : <input type="text" name="adeia" > </input>';
                    echo 'Διάρκεια  : <input type="text" name="diarkeia" > </input>';
                    echo 'Ημερομηνία ¨Εναρξης : <input type="date" name="date" > </input></p>';
                //    echo 'Aιτιολογία : <textarea name="aitia" > </textarea></p>';
                    echo'
            </br>
            <p><input type="submit" name="submit" value="Καταχωρίστε την άδεια!!!!" /></p>
            <input type="hidden" name="submitted3" value=' . $id . ' />
       
        </form>';
                };
            
        } else {
            if (isset($_POST['submitted'])) {

                $id = $_POST['submitted'];

                echo'<form action="addadeies.php" method="post">';
                echo '<p> Είδος Αδείας : <input type="text" name="adeia" > </input>';
                echo 'Διάρκεια Αδείας  : <input type="text" name="diarkeia" > </input>';
                echo 'Ημερομηνία Εναρξης : <input type="date" name="date" > </input></p>';
              //  echo 'Aιτιολογία : <textarea name="aitia" > </textarea></p>';
                echo'
            </br>
            <p><input type="submit" name="submit" value="Καταχωρίστε την άδεια!!!!" /></p>
            <input type="hidden" name="submitted3" value=' . $id . ' />
           
        </form>';
            }
        }
        ?>



        <div class="cleaner"></div>
    </div>




    <?php
    include('../../divs/footer.php');
    ?>